%global momorel 4
%global srcver 1.000031

Name:           perl-Text-Markdown
Version:        1.0.31
Release:        %{momorel}m%{?dist}
Summary:        Convert Markdown syntax to (X)HTML
License:        Modified BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-Markdown/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Text-Markdown-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Slurp
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.42
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read / easy-to-
write structured text format into HTML. Markdown's text format is most
similar to that of plain text email, and supports features such as headers,
*emphasis*, code blocks, blockquotes, and links.

%prep
%setup -q -n Text-Markdown-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes License.text README Readme.text Todo
%{_bindir}/*
%{perl_vendorlib}/Text/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.31-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.31-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.31-2m)
- rebuild against perl-5.12.0

* Mon Mar 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.31-1m)
- update to 1.000031

* Mon Jan 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.30-1m)
- update to 1.000030

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.29-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.29-1m)
- update to 1.000029

* Wed Oct 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.28-1m)
- update to 1.000028

* Mon Oct 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.27-1m)
- update to 1.000027

* Sun Oct 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.26-1m)
- update to 1.0.26

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.25-1m)
- update to 1.0.25

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.24-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.24-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.24-1m)
- update to 1.0.24

* Wed Jan 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.23-2m)
- Specfile autogenerated by cpanspec 1.77 for Momonga Linux.
- update Patch0 for fuzz=0
- License: Modified BSD

* Fri Nov  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.23-1m)
- update to 1.0.23

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.22-1m)
- update to 1.0.22

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.21-1m)
- update to 1.0.21

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.20-1m)
- update to 1.0.20

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.19-1m)
- update to 1.0.19

* Tue Apr 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.18-1m)
- update to 1.0.18

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.17-3m)
- rebuild against gcc43

* Sat Mar 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.17-2m)
- add Patch0

* Sat Mar 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.17-1m)
- update to 1.0.17

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.16-1m)
- update to 1.0.16

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- spec file was autogenerated
